Call Me Back module
Endpoints
Endpoints for managing configuration for Call Me Back widgets, websites and buttons
GET
/callmeback/websites Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/websites HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1190,
"allowed_countries": "value",
"button_id": 2259,
"created_at": "2021-06-23 07:41:20",
"culture": 4,
"ddi": 8224,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/settings Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/settings HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3141,
"allowed_countries": "value",
"button_id": 9834,
"created_at": "2021-05-22 06:42:05",
"culture": 4,
"ddi": 4281,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 1,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
POST
/callmeback/settings Creates new Call Me Back settings resource
Parameters
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
POST /v1.1/voipstudio/callmeback/settings HTTP/1.1
Host: l7api.com
{
"button_id": 508,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 521,
"max_call_rate": "100.00"
}
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 6766,
"allowed_countries": "value",
"button_id": 2983,
"created_at": "2025-01-11 11:05:13",
"culture": 4,
"ddi": 2341,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 1,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
GET
/callmeback/settings/{id} Returns Website resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/settings/61 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7592,
"allowed_countries": "value",
"button_id": 6563,
"created_at": "2024-07-28 01:59:08",
"culture": 2,
"ddi": 1784,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 4,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/settings/{id} Updates existing CallMeBackSetting resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
PATCH /v1.1/voipstudio/callmeback/settings/6 HTTP/1.1
Host: l7api.com
{
"button_id": 455,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 720,
"max_call_rate": "100.00"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6214,
"allowed_countries": "value",
"button_id": 1693,
"created_at": "2023-06-03 17:21:18",
"culture": 1,
"ddi": 9064,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 3,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/settings/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/settings/80 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
GET
/callmeback/cdrs Returns collection of Cdr resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3130,
"allowed_countries": "value",
"button_id": 7381,
"created_at": "2021-03-29 16:47:01",
"culture": 0,
"ddi": 8920,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/visitors Returns collection of Visitor resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/visitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5381,
"allowed_countries": "value",
"button_id": 2646,
"created_at": "2022-12-05 04:34:36",
"culture": 3,
"ddi": 5916,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/buttons/{id} Returns CallMeBackButton resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/buttons/79 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1947,
"allowed_countries": "value",
"button_id": 5363,
"created_at": "2018-08-20 02:46:33",
"culture": 3,
"ddi": 5778,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/buttons/{id} Creates new Call Me Button resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
name string
data_online string
data_offline string
Example Request
PATCH /v1.1/voipstudio/callmeback/buttons/11 HTTP/1.1
Host: l7api.com
{
"name": "abcd",
"data_online": "abcd",
"data_offline": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 860,
"allowed_countries": "value",
"button_id": 9008,
"created_at": "2021-03-13 20:55:56",
"culture": 0,
"ddi": 751,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 3,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/buttons/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/buttons/19 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
POST
/callmeback/buttons Creates new CallMeBackButton resource
Parameters
Example Request
POST /v1.1/voipstudio/callmeback/buttons HTTP/1.1 Host: l7api.com
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 7704,
"allowed_countries": "value",
"button_id": 6619,
"created_at": "2025-08-30 05:41:43",
"culture": 1,
"ddi": 2084,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}